Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #871

website: Add macOS install instructions
February 08, 2019 13:46 - Devin Bayer
Target version:
Description

Using the de-facto standard package manager, homebrew, it's just:

brew install audacious

It might help some people if you add this to the Downloads page.

History

#1 - February 08, 2019 15:03 - John Lindgren
- Category set to website

- Tracker changed from Bug to Support

#2 - June 23, 2020 11:48 - Elton Sanchez

- File audacious_crash_report.txt added

“brew install audacious™ will only install the raw program and according to the update 2 at
https://anishrkhadkablog.wordpress.com/portfolio/audacious-for-mac/, the following issues arise when using the brew package:

- "icon not showing in the dock" (this is because using “brew install audacious’ only installs the executables and libraries, without icons. Such a
feature could be implemented if a brew cask was implemented and uploaded to the brew cask repos)

- status bar (I wouldn't consider this an issue as there is no further information posted about this and seems to work for me)

- most of the plugins options not showing up (again, non specific and | got working input modules for playback of midi, MP3, ImpulseTracker (digital
music module), and SPC (game music modules).

The report from brew on audacious (4.0.4) states:

- audtool does not work due to a broken dbus implementation on macOS (tested since at least High Sierra, likely the same in both Mojave and
Catalina), so it is not built.

- Core Audio output has been disabled as it does not work (fails to set audio unit input property).

- GTK+ GUI is not built by default as the Qt GUI has better integration with macOS, and the GTK GUI would take precedence if present

Also, seems to crash upon exit, with following included in crash report, and cannot bring it back up afterwards (this is more critical). Attached for
brevity.

July 11, 2025 1/2



https://anishrkhadkablog.wordpress.com/portfolio/audacious-for-mac/

#3 - June 23, 2020 11:50 - Elton Sanchez

Clarification on "the report from brew on audacious"; this is from the output after installation via brew completes (e.g. "brew install audacious”)

#4 - June 23, 2020 12:01 - Elton Sanchez

After reinstalling once, the program still crashes when exiting, but can be started up again from the shell without reinstallation.

#5 - August 27, 2021 22:48 - John Lindgren

- Status changed from New to Closed

Closing this since no one has stepped up to work on it.

Files

audacious_crash_report.txt 84.1 KB June 23, 2020 Elton Sanchez
